Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class ServiceStats

    java.lang.Object
      org.mule.module.management.mbean.FlowConstructStats
          org.mule.module.management.mbean.ServiceStats

All Implemented Interfaces:
  MBeanRegistration, FlowConstructStatsMBean, ServiceStatsMBean

    public class ServiceStats

extends FlowConstructStats
implements ServiceStatsMBean, MBeanRegistration

`ServiceStats` TODO

Field Summary

Fields inherited from class org.mule.module.management.mbean.FlowConstructStats
`name, server`

Constructor Summary
`ServiceStats(ServiceStatistics statistics)`

Method Summary
`long` | `getAsyncEventsSent()`
`long` | `getAverageExecutionTime()`
`long` | `getAverageQueueSize()`
`long` | `getExecutedEvents()`
`long` | `getMaxExecutionTime()`
`long` | `getMaxQueueSize()`
`long` | `getMinExecutionTime()`
`String` | `getName()`
`long` | `getQueuedEvents()`
`long` | `getReplyToEventsSent()`
`ObjectName` | `getRouterInbound()`
`ObjectName` | `getRouterOutbound()`
`long` | `getSyncEventsSent()`
`long` | `getTotalEventsSent()`
`long` | `getTotalExecutionTime()`
`void` | `postDeregister()`
`void` | `postRegister(Boolean registrationDone)`
`void` | `preDeregister()`
`ObjectName` | `preRegister(MBeanServer server, ObjectName name)`

Methods inherited from class org.mule.module.management.mbean.FlowConstructStats
`clearStatistics, getAsyncEventsReceived, getAverageProcessingTime, getExecutionErrors, getFatalErrors, getMaxProcessingTime, getMinProcessingTime, getProcessedEvents, getSyncEventsReceived, getTotalEventsReceived, getTotalProcessingTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.module.management.mbean.FlowConstructStatsMBean
`clearStatistics, getAsyncEventsReceived, getAverageProcessingTime, getExecutionErrors, getFatalErrors, getMaxProcessingTime, getMinProcessingTime, getProcessedEvents, getSyncEventsReceived, getTotalEventsReceived, getTotalProcessingTime`

Constructor Detail

### ServiceStats

    public ServiceStats(ServiceStatistics statistics)

Method Detail

### getAsyncEventsSent

    public long getAsyncEventsSent()

  Specified by:
    `getAsyncEventsSent` in interface `ServiceStatsMBean`

### getAverageExecutionTime

    public long getAverageExecutionTime()

  Specified by:
    `getAverageExecutionTime` in interface `ServiceStatsMBean`

### getAverageQueueSize

    public long getAverageQueueSize()

  Specified by:
    `getAverageQueueSize` in interface `ServiceStatsMBean`

### getExecutedEvents

    public long getExecutedEvents()

  Specified by:
    `getExecutedEvents` in interface `ServiceStatsMBean`

### getMaxExecutionTime

    public long getMaxExecutionTime()

  Specified by:
    `getMaxExecutionTime` in interface `ServiceStatsMBean`

### getMaxQueueSize

    public long getMaxQueueSize()

  Specified by:
    `getMaxQueueSize` in interface `ServiceStatsMBean`

### getMinExecutionTime

    public long getMinExecutionTime()

  Specified by:
    `getMinExecutionTime` in interface `ServiceStatsMBean`

### getName

    public String getName()

### getQueuedEvents

    public long getQueuedEvents()

  Specified by:
    `getQueuedEvents` in interface `ServiceStatsMBean`

### getReplyToEventsSent

    public long getReplyToEventsSent()

  Specified by:
    `getReplyToEventsSent` in interface `ServiceStatsMBean`

### getSyncEventsSent

    public long getSyncEventsSent()

  Specified by:
    `getSyncEventsSent` in interface `ServiceStatsMBean`

### getTotalEventsSent

    public long getTotalEventsSent()

  Specified by:
    `getTotalEventsSent` in interface `ServiceStatsMBean`

### getTotalExecutionTime

    public long getTotalExecutionTime()

  Specified by:
    `getTotalExecutionTime` in interface `ServiceStatsMBean`

### preRegister

    public ObjectName preRegister(MBeanServer server,
                                  ObjectName name)
                           throws Exception

  Specified by:
    `preRegister` in interface `MBeanRegistration`
  Overrides:
    `preRegister` in class `FlowConstructStats`
  Throws:
    `Exception`

### postRegister

    public void postRegister(Boolean registrationDone)

  Specified by:
    `postRegister` in interface `MBeanRegistration`
  Overrides:
    `postRegister` in class `FlowConstructStats`

### preDeregister

    public void preDeregister()
                       throws Exception

  Specified by:
    `preDeregister` in interface `MBeanRegistration`
  Overrides:
    `preDeregister` in class `FlowConstructStats`
  Throws:
    `Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `MBeanRegistration`
  Overrides:
    `postDeregister` in class `FlowConstructStats`

### getRouterInbound

    public ObjectName getRouterInbound()

### getRouterOutbound

    public ObjectName getRouterOutbound()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.